---
title: PerformanceResourceTiming.serverTiming
slug: Web/API/PerformanceResourceTiming/serverTiming
tags:
  - API
  - PerformanceResourceTiming
  - Property
  - Reference
  - SecureContextOnly
  - ServerTiming
---
<div>{{APIRef("Resource Timing API")}} {{securecontext_header}}</div>

<p>The <strong><code>serverTiming</code></strong> read-only property returns an array of {{domxref("PerformanceServerTiming")}} entries containing server timing metrics.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>resource</em>.serverTiming;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Server Timing','#servertiming-attribute', 'serverTiming')}}</td>
   <td>{{Spec2('Server Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PerformanceResourceTiming.serverTiming")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PerformanceServerTiming")}}</li>
 <li>{{HTTPHeader("Server-Timing")}}</li>
</ul>
</div>
